> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Enterprise Members

> List paginated members in this enterprise

Requires an enterprise admin personal API key.

Returns a paginated list of all members in your enterprise, including their basic information and enterprise role.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/members
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/members:
    get:
      tags:
        - members
      summary: Enterprise Members Endpoint
      description: List paginated members in this enterprise
      operationId: enterprise_members_endpoint_v2_enterprise_members_get
      parameters:
        - in: query
          name: skip
          required: false
          schema:
            default: 0
            minimum: 0
            title: Skip
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: email
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_EnterpriseUserResponse_'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PaginatedResponse_EnterpriseUserResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/EnterpriseUserResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[EnterpriseUserResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EnterpriseUserResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        email:
          title: Email
          type: string
        enterprise_role:
          title: Enterprise Role
          type: string
        last_login:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Login
        login_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Login Count
        name:
          title: Name
          type: string
        saml_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Saml Id
        searches_created_count:
          default: 0
          title: Searches Created Count
          type: integer
        sessions_created_count:
          default: 0
          title: Sessions Created Count
          type: integer
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - email
        - name
        - enterprise_role
        - created_at
      title: EnterpriseUserResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````